For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
    • Studies
    • Representative sample studies
    • study-collections
    • Filter Sets
    • Participant Groups
    • Custom Groups
    • Study Distribution
    • Submissions
    • Bonuses
    • Messages
    • Workspaces
    • Projects
    • Surveys
    • Webhooks
      • Subscribing
      • Receiving
      • Event Delivery and Retry Logic
      • Persistent Failures and Disabling Logic
      • Idempotency and the X-Event-ID Header
      • Handling event order with X-Timestamp
      • Verifying
      • GETList all subscribable event types
      • GETList all secrets
      • POSTCreate/replace a secret
      • GETList all subscriptions
      • POSTCreate a subscription
      • GETRetrieve a subscription
      • POSTConfirm a subscription
      • DELDelete a subscription
      • PATCHUpdate a subscription
      • GETGet subscription events
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
Go to app
LogoLogo
API ReferenceWebhooks

Retrieve a subscription

|View as Markdown|Open in Claude|
GET
https://api.prolific.com/api/v1/hooks/subscriptions/:subscription_id/
GET
/api/v1/hooks/subscriptions/:subscription_id/
$curl https://api.prolific.com/api/v1/hooks/subscriptions/subscription_id/ \
> -H "Authorization: Token <token>" \
> -H "Content-Type: application/json"
1{
2 "event_type": "participant_recruited",
3 "target_url": "https://webhooks.myapp.com/prolific/events",
4 "workspace_id": "ws_1234567890abcdef",
5 "id": "sub_9f8b7c6d5e4a3b2c1d0e",
6 "is_enabled": true
7}
Get a single subscription
Was this page helpful?
Previous

Create a subscription

Next

Confirm a subscription

Authentication

AuthorizationToken

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.

Path parameters

subscription_idstringRequired
Subscription id

Response

Retrieved
event_typestring
The name of the event type associated to the subscription.
target_urlstring
The URL that the subscription will notify when your event type is triggered.
workspace_idstring
The ID of the workspace we will create the subscription in.
idstringRead-only
The ID of the subscription.
is_enabledboolean
Whether the subscription is enabled or not.

Errors

4XX
Client Request Error